import http from '@/utils/request'

// 票种标签
export function addTicketInventory (params) {
  return http.post('ticketInventory/add', params)
}

export function getTicketInventoryList (params) {
  return http.post('ticketInventory/list', params)
}

export function updateTicketInventory (params) {
  return http.post('ticketInventory/update', params)
}

export function deleteTicketInventory (id) {
  return http.delete(`ticketInventory/${id}`)
}
export function transferTicketInventory (params) {
  return http.post('ticketInventory/transfer', params)
}
// 获取票仓分发记录
export function getListTransfer (params) {
  return http.post('ticketInventory/listTransfer', params)
}
// 获取票仓消耗记录
export function getListConsumeLog (params) {
  return http.post('ticketInventory/listConsumeLog', params)
}
// 门票库存作废
export function invalidInventory (params) {
  return http.post('ticketInventory/invalid', params)
}
